# docker compose publish

<!---MARKER_GEN_START-->
Publish compose application

### Options

| Name                      | Type     | Default | Description                                                                    |
|:--------------------------|:---------|:--------|:-------------------------------------------------------------------------------|
| `--app`                   | `bool`   |         | Published compose application (includes referenced images)                     |
| `--dry-run`               | `bool`   |         | Execute command in dry run mode                                                |
| `--oci-version`           | `string` |         | OCI image/artifact specification version (automatically determined by default) |
| `--resolve-image-digests` | `bool`   |         | Pin image tags to digests                                                      |
| `--with-env`              | `bool`   |         | Include environment variables in the published OCI artifact                    |
| `-y`, `--yes`             | `bool`   |         | Assume "yes" as answer to all prompts                                          |


<!---MARKER_GEN_END-->

